#ifndef XMODELPIECE_H
#define XMODELPIECE_H

#include "xasset.h"
#include "xmodel.h"

class XModelPiece : public XAsset
{
public:
    XModelPiece();
    ~XModelPiece();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XModel mModel;
    QVector3D mOffset;
};

#endif // XMODELPIECE_H
